AdEditor = function(form, page)
{
    this.page = page;//setting.adPage;
    this.form = $(form);//$('editAdsForm'); 
    this.ajax = new AjaxClient();

    this.ajax.addParam("page", this.page)
        .set("onSuccess", this.onAdsDataSuccess.handler(this))
        .post("/admin/ad/getAdsOnPage");
    
    var elements = this.form.elements;
    
    for(i = 0; i < elements.length; i++)
    {
        var e = $(elements[i]);
        e.addEvent("change", this.onChange.handler(this));
        if(e.type == "radio")
        {
            e.addEvent("click", function(){this.blur()});
        }
    }

}

AdEditor.prototype =
{
    form: null,
    page: "",
    
    onAdsDataSuccess: function(ajaxObj)
    {
        var ads = ajaxObj.parseJSON();
        this.ajax.fillForm(this.form, ads);
        this.form.style.visibility = "visible";    
    },
    
    onChange: function(event)
    {       
        var place = event.obj.name;
        
        if(place == "predefine")
        {
            var predefineOn = event.obj.value;
            //alert(predefineOn);
            var generalField = this.form.general;
            
            for(var i=0; i <= 1; i++)
            {
                generalField[i].checked = (generalField[i].value == predefineOn) 
            } 
        } 

        this.ajax.addParam("page", this.page)
            .addParam("place", place)
            .addParam("adCriterionId", event.obj.value)
            .set("onSuccess", this.onUpdateSuccess)
            .post("/admin/ad/update");
    },
    
    onUpdateSuccess: function(ajaxObj)
    {
        var response = ajaxObj.parseJSON();
        alert(response.message);
    }
    
}