<?php
//////////////////////////////////////////////////////////////////////////////////
//    					 copyright (c) Arfooo Annuaire                          //
//   				 by Hocine Guillaume (c) 2007 - 2008                        //
//       					http://www.arfooo.com/                              //
//    Licence Creative Commons http://creativecommons.org/licenses/by/2.0/fr/   //
//////////////////////////////////////////////////////////////////////////////////

class Moderation_MainController extends Controller
{ 
    function init()
    {        
        $this->acl->allow('moderator', $this->name, "*");
        $this->acl->allow('guest', $this->name, "logIn");
        $this->acl->allow('guest', $this->name, "lostPassword");
         
        if(!$this->acl->isAllowed($this->session->get("role"), $this->name, $this->action))
        {
            $this->redirect($this->moduleLink("logIn"));  
        }
    }
    
    function indexAction()
    {
        $this->redirect(FrontController::getRewrittedUrl("/moderation/site/waiting"));
    }
    
    function logInAction()
    {
        if(isset($this->request->email) && isset($this->request->password))
        {            
            if($this->session->loginUser($this->request->email, md5($this->request->password), "email", "moderator"))
            {
                $this->redirect($this->moduleLink());
            }
            else
            {
                $this->set("loginError", 1);
            }
        } 
    }
    
    function logOffAction()
    {
        $this->session->destroy();
        $this->redirect($this->moduleLink("logIn"));
    }
    
    function saveNewPasswordAction()
    {
        if(!empty($this->request->newPassword)
        && $this->request->newPassword == $this->request->repeatedNewPassword)
        {
            $this->user->updateByPk(array("password" => md5($this->request->newPassword)), $this->userId);
        }
        
        $this->redirect($this->moduleLink());    
    } 
    
    function changePasswordAction()
    {
    
    }
    
    function lostPasswordAction()
    {
        if(empty($this->request->email))return;
        
        $c = new Criteria();
        $c->add("email", $this->request->email);
        $c->add("role", "moderator");
        $user = $this->user->find($c);
        
        if(empty($user))return;

        $newPassword = $user->generateNewPassword();

        Mailer::getInstance()->sendLostPassword($user->email, $newPassword);

        $this->redirect($this->moduleLink("logIn"));
    }
} 

?>